Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.output
Class ViewVcIntegration

    java.lang.Object
      net.sf.statcvs.output.ViewCvsIntegration
          net.sf.statcvs.output.ViewVcIntegration

All Implemented Interfaces:
  WebRepositoryIntegration

public class ViewVcIntegration
extends ViewCvsIntegration

Integration of ViewVC

Version:
  $Id: ViewVcIntegration.java,v 1.4 2009/06/02 13:27:20 benoitx Exp $
Author:
  Richard Cyganiak, Jason Kealey

Constructor Summary
`ViewVcIntegration(String baseURL)`

Method Summary
`String` | `getDiffUrl(Revision oldRevision, Revision newRevision)` Returns a URL to a diff in the web repository browser.
`protected String` | `getFileUrl(VersionedFile file, String parameter)`
`String` | `getName()` Returns the name of the repository browser

Methods inherited from class net.sf.statcvs.output.ViewCvsIntegration
`getBaseUrl, getDirectoryUrl, getFileHistoryUrl, getFileViewUrl, getFileViewUrl, getPostfix, isInAttic, setAtticFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewVcIntegration

    public ViewVcIntegration(String baseURL)

Parameters:
  `baseURL` - base URL of the ViewVC installation

Method Detail

### getName

    public String getName()

  Description copied from interface: `WebRepositoryIntegration`
  Returns the name of the repository browser

  Specified by:
    `getName` in interface `WebRepositoryIntegration`
  Overrides:
    `getName` in class `ViewCvsIntegration`
  See Also:
    `net.sf.statsvn.output.WebRepositoryIntegration#getName`

### getFileUrl

    protected String getFileUrl(VersionedFile file,
                                String parameter)

  Overrides:
    `getFileUrl` in class `ViewCvsIntegration`

### getDiffUrl

    public String getDiffUrl(Revision oldRevision,
                             Revision newRevision)

  Description copied from interface: `WebRepositoryIntegration`
  Returns a URL to a diff in the web repository browser. Both revisions must belong to the same `VersionedFile`.

  Specified by:
    `getDiffUrl` in interface `WebRepositoryIntegration`
  Overrides:
    `getDiffUrl` in class `ViewCvsIntegration`
  See Also:
    `WebRepositoryIntegration.getDiffUrl(net.sf.statcvs.model.Revision, net.sf.statcvs.model.Revision)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD